#!/usr/bin/env python3
# -*- coding: utf8 -*-
# test encoding: à-é-è-ô-ï-€

# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


#
# runs a test as if it was installed
#   - fixes the python path in a dev environment
#   - creates a workspace folder

def main():
    import sys, os
    sys.path.append(os.path.dirname(os.path.realpath(__file__))) # adds "." to the pythonpath
    import fwk.wutils as wu
    wu.run()

if __name__ == "__main__":
    main()
